Update Reminder

Update an existing reminder.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

reminderIdstringRequired

Request

This endpoint expects an object.
titlestringOptional>=1 character
assigneeIdintegerOptional
descriptionstring or nullOptional
dueDatestring or nullOptionalformat: "date-time"
isCompletedbooleanOptional
typeenumOptional

Response

Reminder updated successfully
idinteger
titlestring
descriptionstring or null
typeenum or null
dueDatestring or nullformat: "date-time"
isCompletedboolean
completedAtstring or nullformat: "date-time"
assigneeIdinteger or null
projectIdinteger or null
Present when the reminder belongs to a project.
opportunityIdinteger or null
Present when the reminder belongs to an opportunity.
accountIdinteger or null
Present when the reminder belongs to an account.
createdByinteger or null
createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error